<div id="sidebar">
    <mat-nav-list class="admin-menu" *ngIf="user_role == 'ROLE_SUPERADMIN' || user_role == 'ROLE_ADMIN'">
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/admin-page']">
            <mat-icon class="sidenav-icon">assignment_ind</mat-icon> {{ 'Administration Page' | translate }}
        </a>
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/create-schedule']">
            <mat-icon class="sidenav-icon">list</mat-icon> Create Schedule
        </a>
        <!-- <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/vendor-detail']">
            <mat-icon class="sidenav-icon">star_border</mat-icon> Detail Vendor
        </a>
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/booking-detail']">
            <mat-icon class="sidenav-icon">star_border</mat-icon> Detail Booking
        </a>
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/program-detail']">
            <mat-icon class="sidenav-icon">star_border</mat-icon> Detail Program
        </a>
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/staff-detail']">
            <mat-icon class="sidenav-icon">star_border</mat-icon> Detail Staff
        </a>
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/schedule-detail']">
            <mat-icon class="sidenav-icon">star_border</mat-icon> Detail Kelas
        </a> -->
    </mat-nav-list>
    <mat-nav-list class="staff-menu" *ngIf="user_role == 'ROLE_STAFF'">
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/dashboard']">
            <mat-icon class="sidenav-icon">dashboard</mat-icon> Personal {{ 'Dashboard' | translate }}
        </a>
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/class']">
            <mat-icon class="sidenav-icon">class</mat-icon> {{ 'Class Schedule' | translate }}
        </a>
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/food-stall']">
            <mat-icon class="sidenav-icon">restaurant</mat-icon> {{ 'Food Stall' | translate }}
        </a>
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/shuttle']">
            <mat-icon class="sidenav-icon">directions_bus</mat-icon> Shuttle Schedule
        </a>
        <!-- <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/confirmation-page']">
            <mat-icon class="sidenav-icon">star</mat-icon> Confirmation
        </a> -->
    </mat-nav-list>
    <mat-nav-list class="vendor-menu" *ngIf="user_role == 'ROLE_VENDOR'">
        <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/dashboard-vendor']">
            <mat-icon class="sidenav-icon">dashboard</mat-icon> Dashboard Vendor
        </a>
    </mat-nav-list>
</div>
